Introducing the Better Auth Chargebee plugin: Use it to handle subscriptions, billing, and auth seamlessly.
Chargebeechargebee API

List Omnichannel subscriptions

Returns a list of omnichannel_subscription .

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/omnichannel_subscriptions

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
source[<operator>]

optional, enumerated string filter

To filter based on OmnichannelOneTimeOrder Source. Possible values are : apple_app_store, google_play_store.

Supported operators : is, is_not, in, not_in

Example → source[is_not] = "apple_app_store"

Supported operators: is, is_not, in, not_in
Example → apple_app_store
customer_id[<operator>]

optional, string filter

Chargebee Customer External Identifier. Supported operators : is, is_not, starts_with, in, not_in

Example → customer_id[is] = "8gsnbYfsMLds"

Supported operators: is, is_not, starts_with, in, not_in
Example → 8gsnbYfsMLds
id[<operator>]

optional, string filter

A unique and immutable identifier for the omnichannel subscription. Supported operators : is, is_not, starts_with, in, not_in

Example → id[is] = "os_1mG9tGuVIecbkzR"

Supported operators: is, is_not, starts_with, in, not_in
Example → os_1mLYRDcVIHV1nd3
id_at_source[<operator>]

optional, string filter

The identifier of the subscription in the source. For Apple App Store, this is the initial purchase Transaction ID; for Google Play Store this is the Order ID. Supported operators : is, is_not, starts_with, in, not_in

Example → id_at_source[is] = "2000000123456789"

Supported operators: is, is_not, starts_with, in, not_in
Example → 2000001162945130
updated_at[<operator>]

optional, timestamp(UTC) in seconds filter

Timestamp (UTC) indicating when the subscription was last updated. Supported operators : after, before

Example → updated_at[after] = "1777902633"

Supported operators: before, after
Example → 1777556762
purchased_at[<operator>]

optional, timestamp(UTC) in seconds filter

Timestamp (UTC) when the subscription was originally purchased in the respective marketplace (initial purchase). Supported operators : after, before

Example → purchased_at[after] = "1777559357"

Supported operators: before, after
Example → 1777556271
omnichannel_subscription_item
Parameters for omnichannel_subscription_item
pass parameters as omnichannel_subscription_item[<param name>][<operator>]

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Omnichannel subscription object
Resource object representing omnichannel_subscription